> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Fixed Assets



## OpenAPI

````yaml /api/openapi-finindex.json get /api/v1/fixed-assets
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/fixed-assets:
    get:
      tags:
        - Fixed Assets
      summary: List Fixed Assets
      operationId: list_fixed_assets_api_v1_fixed_assets_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/FixedAssetResponse'
                type: array
                title: Response List Fixed Assets Api V1 Fixed Assets Get
        '401':
          description: Unauthorized
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    FixedAssetResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        assetCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Assetcode
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        inServiceDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Inservicedate
        cost:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost
        salvageValue:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Salvagevalue
        usefulLifeMonths:
          type: integer
          title: Usefullifemonths
        method:
          type: string
          title: Method
        accumulatedDepreciation:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Accumulateddepreciation
        bookValue:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Bookvalue
        status:
          type: string
          title: Status
      type: object
      required:
        - id
        - name
        - cost
        - salvageValue
        - usefulLifeMonths
        - method
        - accumulatedDepreciation
        - bookValue
        - status
      title: FixedAssetResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````